Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

Release 0.9.7

  • Loading branch information...
commit 35e46591662f0e906f4b4058a0e68ea0113d1126 1 parent b0ad181
@delano delano authored
View
9 CHANGES.txt
@@ -10,9 +10,14 @@ Creating volume...
(S)kip (A)bort:
-#### 0.9.7 (2010-02-??) ###############################
+#### 0.9.7 (2010-02-20) ###############################
+
+* FIXED: Replace the group_id parameter with security_group. [Diego Elio 'Flameeyes' Pettenò]
+* FIXED: Remote the addressing type option no longer supported by amazon-ec2. [Diego Elio 'Flameeyes' Pettenò]
+* FIXED: "Error associating address" message on startup
+* CHANGE: Don't make tryouts a runtime dependency, but a development dependency. [Diego Elio 'Flameeyes' Pettenò]
+* CHANGE: Remove hanna dependency. [Diego Elio 'Flameeyes' Pettenò]
-* CHANGE: Remove hanna dependency
#### 0.9.6 (2010-01-16) ###########################
View
4 lib/rudy.rb
@@ -43,8 +43,8 @@ module VERSION #:nodoc:
unless defined?(MAJOR)
MAJOR = 0.freeze
MINOR = 9.freeze
- TINY = 6.freeze
- PATCH = '002'.freeze
+ TINY = 7.freeze
+ PATCH = '001'.freeze
end
def self.to_s; [MAJOR, MINOR, TINY, PATCH].join('.'); end
def self.to_f; self.to_s.to_f; end
View
2  lib/rudy/routines/handlers/host.rb
@@ -36,7 +36,7 @@ def update_dns(rset)
rset.boxes.each do |rbox|
mach = rbox.stash
# Assign IP address only if we have one for that position
- if mach.address
+ if !mach.address.nil? && !mach.address.empty?
begin
# Make sure the address is associated to the current account
if Rudy::AWS::EC2::Addresses.exists?(mach.address)
View
20 rudy.gemspec
@@ -1,7 +1,7 @@
@spec = Gem::Specification.new do |s|
s.name = "rudy"
s.rubyforge_project = 'rudy'
- s.version = "0.9.6.002"
+ s.version = "0.9.7.001"
s.summary = "Rudy: Not your grandparents' EC2 deployment tool."
s.description = s.summary
s.author = "Delano Mandelbaum"
@@ -17,19 +17,19 @@
s.executables = %w[rudy rudy-ec2 rudy-sdb rudy-s3]
s.add_dependency 'rye', '>= 0.8.11'
- s.add_dependency 'attic', '>= 0.4.0'
- s.add_dependency 'annoy', '>= 0.5.5'
- s.add_dependency 'drydock', '>= 0.6.6'
- s.add_dependency 'caesars', '>= 0.7.3'
- s.add_dependency 'sysinfo', '>= 0.7.0'
- s.add_dependency 'gibbler', '>= 0.7.1'
- s.add_dependency 'storable', '>= 0.5.8'
+ s.add_dependency 'attic', '>= 0.5.2'
+ s.add_dependency 'annoy', '>= 0.5.6'
+ s.add_dependency 'drydock', '>= 0.6.9'
+ s.add_dependency 'caesars', '>= 0.7.4'
+ s.add_dependency 'sysinfo', '>= 0.7.3'
+ s.add_dependency 'gibbler', '>= 0.7.4'
+ s.add_dependency 'storable', '>= 0.6.3'
s.add_dependency 'aws-s3', '>= 0.6.1'
s.add_dependency 'highline', '>= 1.5.1'
- s.add_dependency 'amazon-ec2', '>= 0.5.0'
+ s.add_dependency 'amazon-ec2', '>= 0.9.4'
- s.add_development_dependency 'tryouts', '>= 0.8.4'
+ s.add_development_dependency 'tryouts', '>= 0.8.8'
# = MANIFEST =
# git ls-files
Please sign in to comment.
Something went wrong with that request. Please try again.